#!/usr/bin/python3
# ex13_00.py

FITXER_ORIGEN = "origen.txt"
FITXER_DESTI  = "desti.txt"

def copia_redundancia (f_origen, f_desti, redun):
	try:
		f_o = open(f_origen)
		try:
			f_d = open(f_desti,'w') # 'w' esborra l'arxiu sense avisar. 'x' avisa si existeix l'arxiu abans d'escriure-ho
			while True:
				cCar = f_o.read(1) # Aquest 1 indica el número de caràcters a llegir
				if cCar == "": # Arribat al final de l'arxiu
					f_d.close()
					f_o.close()
					break
				for i in range(redun):
					f_d.write(cCar)
		except IOError:
			print("No es pot escriure l'arxiu %s. Heu mirat si hi teniu permisos?" % f_desti)
	except FileNotFoundError:
		print("No es pot llegir l'arxiu %s. Heu mirat si existeix?" % f_origen)

def main():
	print("Còpia de l'arxiu %s a %s" % (FITXER_ORIGEN,FITXER_DESTI))
	copia_redundancia(FITXER_ORIGEN,FITXER_DESTI,3)

main()
