// ex16_00.c
#include <stdio.h>

#define FITXER_ORIGEN "desti.txt"
#define FITXER_DESTI  "recup.txt"

int detecta_redun (char *f_origen){
	FILE *f_o;
	char cCar,cPrevCar;
	int i = 0;

    if((f_o = fopen(f_origen,"r"))==NULL){
        printf("Error a l'intentar obrir l'arxiu %s de lectura\n",f_origen);
        return 0;
    }
    while((cCar=getc(f_o))!=EOF){
		if( i )
			if(cPrevCar != cCar){
				fclose(f_o);
				return i;
			}
		cPrevCar = cCar;
		i++;
	}
    fclose(f_o);
    return i;
}

void recupera_redundancia (char *f_origen, char *f_desti, int redun){
	FILE *f_o,*f_d;
	char cCar;
	int i = 0;

    if((f_o = fopen(f_origen,"r"))==NULL){
        printf("Error a l'intentar obrir l'arxiu %s de lectrura\n",f_origen);
        return;
    }
    if((f_d = fopen(f_desti,"w"))==NULL){
        printf("Error al intentar obrir l'arxiu %s d'escriptura\n",f_desti);
        fclose(f_o); // Abans de marxar, tanquem l'apuntador a arxiu obert.
        return;
    }

    while((cCar=getc(f_o))!=EOF){
		i++;
		if(i == redun){
			putc(cCar,f_d);
			i = 0;
		}
	}
    fclose(f_d);
    fclose(f_o);
}

void recupera_redundancia2 (char *f_origen, char *f_desti){
	recupera_redundancia(f_origen, f_desti, detecta_redun(f_origen));
}

int main(){
	printf("Recuperant de l'arxiu %s a %s\n",FITXER_ORIGEN,FITXER_DESTI);
	recupera_redundancia2(FITXER_ORIGEN,FITXER_DESTI);
	
	return 0;
}
