// ex13_00.c
#include <stdio.h>

#define FITXER_ORIGEN "origen.txt"
#define FITXER_DESTI  "desti.txt"

void copia_redundancia (char *f_origen, char *f_desti, int redun){
	FILE *f_o,*f_d;
	char cCar;
	int i;

    if((f_o = fopen(f_origen,"r"))==NULL){
        printf("Error a l'intentar obrir l'arxiu %s de lectrura\n",f_origen);
        return;
    }
    if((f_d = fopen(f_desti,"w"))==NULL){
        printf("Error al intentar obrir l'arxiu %s d'escriptura\n",f_desti);
        fclose(f_o); // Abans de marxar, tanquem l'apuntador a arxiu obert.
        return;
    }

    while((cCar=getc(f_o))!=EOF){
		for(i = 0; i < redun; i++)
			putc(cCar,f_d);
	}
    fclose(f_d);
    fclose(f_o);
}

int main(){
	printf("Còpia de l'arxiu %s a %s\n",FITXER_ORIGEN,FITXER_DESTI);
	copia_redundancia(FITXER_ORIGEN,FITXER_DESTI,3);
	
	return 0;
}
